<?php
declare(strict_types=1);

namespace app\common\model;

use think\Model;

//定时任务日志
class CrontabLog Extends Model
{
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;
  

    //  最后执行时间
    //  0淘宝 1拼多多 2抖音 3快手 4京东 5小红书
    public static function getLastRunTime(int $type_id): string
    {
        $last_time = self::where('type_id', $type_id)->order('id', 'desc')->value('last_time');
        return $last_time ? $last_time : date('Y-m-d H:i:s') ;
    }
}
